# Handle reported users

If a user has reported another user on your pod, you can make changes to the reported user's profile. Use the user's moderation page to take the appropriate steps to handle the report.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.
:::

To open a user's moderation page:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md) and select {guilabel}`Open in moderation interface` under {guilabel}`Reported object`. The user's moderation page opens.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the page to open the {guilabel}`Administration` menu.
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md) and select {guilabel}`Open in moderation interface` under {guilabel}`Reported object`. The user's moderation page opens.

:::
::::

You can change the following settings in the moderation interface:

- {guilabel}`Login status` – disable this switch to prevent the user being able to log in.
- {guilabel}`Permissions` – add or remove permissions associated with the user.
- {guilabel}`Upload quota` – change the amount of data (in megabytes) that the user can upload.

Once you have made your changes, return to the {guilabel}`Reports` page and {guilabel}`Resolve` the report. Resolving the report assigns it to you so other moderators know who handled the report. Add [internal notes](internal_notes.md) to keep a record of your changes.
