# Use internal notes

Use internal notes to add information to a report. This can be a summary of your actions or an update on your investigation. Internal notes are only visible to pod admins and moderators.

:::{dropdown} Required permissions
:icon: key

- {guilabel}`Moderation` – provides access to the administration and moderation menus.
:::

## Add notes to a report

You can add notes to __Unresolved__ and __Resolved__ reports. To add an internal note:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu. 
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md).
5. {guilabel}`Write` your note in the {guilabel}`Internal notes` section. This input field supports Markdown syntax. You can {guilabel}`Preview` how the note will look to other users.
6. Select {guilabel}`Add note` to save your note.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`. 
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu. 
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md).
5. {guilabel}`Write` your note in the {guilabel}`Internal notes` section. This input field supports Markdown syntax. You can {guilabel}`Preview` how the note will look to other users.
6. Select {guilabel}`Add note` to save your note.

:::
::::

## Delete notes from a report

```{warning}
Deleting an internal note is irreversible. Make sure you are not deleting anything important.
```

You can delete your own notes and the notes of other moderators. You can do this for both __Resolved__ and __Unresolved__ reports. To delete an internal note:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`. 
2. Select the wrench icon ({fa}`wrench`) at the top of the sidebar to open the {guilabel}`Administration` menu. 
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md).
5. Find the note you want to delete in the {guilabel}`Internal notes` section.
6. Select {guilabel}`Delete`

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the wrench icon ({fa}`wrench`) at the top of the screen to open the {guilabel}`Administration` menu. 
3. Select {guilabel}`Moderation`. The {guilabel}`Reports` page opens.
4. [Search for the report](search_reports.md).
5. Find the note you want to delete in the {guilabel}`Internal notes` section.
6. Select {guilabel}`Delete`

:::
::::
