# Create a channel

```{warning}
Your channel's __Fediverse handle__ needs to be unique. This is how other {term}`Fediverse` software identifies your channel. You can't change the __Fediverse handle__ once you've created your channel.
```

Create a channel to start publishing your content on your {term}`Funkwhale pod <Pod>`. Users can access channel content from Funkwhale or other Fediverse software.

You can create two types of channel:

```{contents}
:local:
```

## Artist discography

To create an __Artist discography__ channel:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select {guilabel}`+ Add new` next to the {guilabel}`Channels` header. A {guilabel}`Create channel` pop-up window appears.
5. Select {guilabel}`Artist discography` and select {guilabel}`Next step`. The {guilabel}`Artist channel` form appears.
6. Enter the {guilabel}`Name` of your channel. Users see this when they visit your channel page.
7. Enter the {guilabel}`Fediverse handle` of your channel. This is how other Fediverse software identifies your channel.
8. __Optional__ – upload a {guilabel}`Channel picture`. Users see this when they visit your channel page. Select {guilabel}`Browse…` to open a file picker.
9. __Optional__ – add {guilabel}`Tags` that describe your channel. Start typing in the {guilabel}`Search…` input box to find existing tags. You can also create new tags by typing them in and selecting them or hitting {kbd}`⏎ Return`.
10. __Optional__ – enter a {guilabel}`Description` of your channel. You can {guilabel}`Write` using [Markdown](https://www.markdownguide.org/) syntax and {guilabel}`Preview` how it will look. Users see this when they visit your channel page.
11. Select {guilabel}`Create channel` to create your channel.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select {guilabel}`+ Add new` next to the {guilabel}`Channels` header. A {guilabel}`Create channel` pop-up window appears.
5. Select {guilabel}`Artist discography` and select {guilabel}`Next step`. The {guilabel}`Artist channel` form appears.
6. Enter the {guilabel}`Name` of your channel. Users see this when they visit your channel page.
7. Enter the {guilabel}`Fediverse handle` of your channel. This is how other Fediverse software identifies your channel.
8. __Optional__ – upload a {guilabel}`Channel picture`. Users see this when they visit your channel page. Select {guilabel}`Browse…` to open a file picker.
9. __Optional__ – add {guilabel}`Tags` that describe your channel. Start typing in the {guilabel}`Search…` input box to find existing tags. You can also create new tags by typing them in and selecting them or hitting {kbd}`⏎ Return`.
10. __Optional__ – enter a {guilabel}`Description` of your channel. You can {guilabel}`Write` using [Markdown](https://www.markdownguide.org/) syntax and {guilabel}`Preview` how it will look. Users see this when they visit your channel page.
11. Select {guilabel}`Create channel` to create your channel.

:::
::::

That's it! You've created your artist channel. You can now [add some music to it](upload_artist.md).

## Podcast

To create a __Podcast__ channel:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select {guilabel}`+ Add new` next to the {guilabel}`Channels` header. A {guilabel}`Create channel` pop-up window appears.
5. Select {guilabel}`Podcasts` and select {guilabel}`Next step`. The {guilabel}`Podcast channel` form appears.
6. Enter the {guilabel}`Name` of your channel. Users see this when they visit your channel page.
7. Enter the {guilabel}`Fediverse handle` of your channel. This is how other Fediverse software identifies your channel.
8. __Optional__ – upload a {guilabel}`Channel picture`. Users see this when they visit your channel page. Select {guilabel}`Browse…` to open a file picker.
9. __Optional__ – add {guilabel}`Tags` that describe your channel. Start typing in the {guilabel}`Search…` input box to find existing tags. You can also create new tags by typing them in and selecting them or hitting {kbd}`⏎ Return`.
10. Choose the {guilabel}`Language` of your podcast.
11. __Optional__ – enter a {guilabel}`Description` of your channel. You can {guilabel}`Write` using [Markdown](https://www.markdownguide.org/) syntax and {guilabel}`Preview` how it will look. Users see this when they visit your channel page.
12. Select the {guilabel}`Category` of your podcast. {term}`Podcatchers<Podcatcher>` use this information to sort your podcast content.
13. __Optional__ – select the {guilabel}`Subcategory` of your podcast.
14. __Optional__ – enter the {guilabel}`Owner e-mail address`. This populates the ``itunes:email`` field of your podcast's {abbr}`RSS (Really Simple Syndication)` feed.
15. __Optional__ – enter the {guilabel}`Owner name`. This populates the ``itunes:name`` field of your podcast's {abbr}`RSS (Really Simple Syndication)` feed.
16. Select {guilabel}`Create channel` to create your channel.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your pod.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select {guilabel}`+ Add new` next to the {guilabel}`Channels` header. A {guilabel}`Create channel` pop-up window appears.
5. Select {guilabel}`Podcasts` and select {guilabel}`Next step`. The {guilabel}`Podcast channel` form appears.
6. Enter the {guilabel}`Name` of your channel. Users see this when they visit your channel page.
7. Enter the {guilabel}`Fediverse handle` of your channel. This is how other Fediverse software identifies your channel.
8. __Optional__ – upload a {guilabel}`Channel picture`. Users see this when they visit your channel page. Select {guilabel}`Browse…` to open a file picker.
9. __Optional__ – add {guilabel}`Tags` that describe your channel. Start typing in the {guilabel}`Search…` input box to find existing tags. You can also create new tags by typing them in and selecting them or hitting {kbd}`⏎ Return`.
10. Choose the {guilabel}`Language` of your podcast.
11. __Optional__ – enter a {guilabel}`Description` of your channel. You can {guilabel}`Write` using [Markdown](https://www.markdownguide.org/) syntax and {guilabel}`Preview` how it will look. Users see this when they visit your channel page.
12. Select the {guilabel}`Category` of your podcast. {term}`Podcatchers<Podcatcher>` use this information to sort your podcast content.
13. __Optional__ – select the {guilabel}`Subcategory` of your podcast.
14. __Optional__ – enter the {guilabel}`Owner e-mail address`. This populates the ``itunes:email`` field of your podcast's {abbr}`RSS (Really Simple Syndication)` feed.
15. __Optional__ – enter the {guilabel}`Owner name`. This populates the ``itunes:name`` field of your podcast's {abbr}`RSS (Really Simple Syndication)` feed.
16. Select {guilabel}`Create channel` to create your channel.

:::
::::

You're done! You've created your podcast channel. Now you can [add some episodes to it](upload_podcast.md).
