# Edit a channel

```{note}
You can't change a channel's __Fediverse handle__.
```

Channels are like user profiles on other {term}`Fediverse` software. This means you can edit their details at any time to reflect changes you've made.

You can change different details depending on what type of channel you are editing:

```{contents}
:local:
```

## Edit an Artist channel

To edit an __Artist channel__:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to delete under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) to show the channel options.
6. Select {guilabel}`Edit…`. The {guilabel}`Artist channel` form appears.
7. Change the details in any of these fields:
   - {guilabel}`Name`
   - {guilabel}`Channel Picture`
   - {guilabel}`Tags`
   - {guilabel}`Description`
8. Select {guilabel}`Update channel` to save your changes.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to delete under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) to show the channel options.
6. Select {guilabel}`Edit…`. The {guilabel}`Artist channel` form appears.
7. Change the details in any of these fields:
   - {guilabel}`Name`
   - {guilabel}`Channel Picture`
   - {guilabel}`Tags`
   - {guilabel}`Description`
8. Select {guilabel}`Update channel` to save your changes.

:::
::::

That's it! You've updated your channel details. Users see the new details when they visit your channel page.

## Edit a Podcast channel

To edit a __Podcast channel__:

::::{tab-set}

:::{tab-item} Desktop
:sync: desktop

1. Log in to your {term}`pod`.
2. Select the upload icon ({fa}`upload`) in the top of the sidebar.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to delete under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) to show the channel options.
6. Select {guilabel}`Edit…`. The {guilabel}`Artist channel` form appears.
7. Change the details in any of these fields:
   - {guilabel}`Name`
   - {guilabel}`Channel Picture`
   - {guilabel}`Tags`
   - {guilabel}`Language`
   - {guilabel}`Description`
   - {guilabel}`Category`
   - {guilabel}`Subcategory`
   - {guilabel}`Owner e-mail address`
   - {guilabel}`Owner name`
8. Select {guilabel}`Update channel` to save your changes.

:::

:::{tab-item} Mobile
:sync: mobile

1. Log in to your {term}`pod`.
2. Select the upload icon ({fa}`upload`) at the top of the screen.
3. Select {guilabel}`Get started` under {guilabel}`Publish your work in a channel`. Your user profile opens.
4. Select the channel you want to delete under the {guilabel}`Channels` header. The channel's page opens.
5. Select the kebab menu ({fa}`ellipsis-v`) to show the channel options.
6. Select {guilabel}`Edit…`. The {guilabel}`Artist channel` form appears.
7. Change the details in any of these fields:
   - {guilabel}`Name`
   - {guilabel}`Channel Picture`
   - {guilabel}`Tags`
   - {guilabel}`Language`
   - {guilabel}`Description`
   - {guilabel}`Category`
   - {guilabel}`Subcategory`
   - {guilabel}`Owner e-mail address`
   - {guilabel}`Owner name`
8. Select {guilabel}`Update channel` to save your changes.

:::
::::

You're done! Users see the new details when they visit your channel page. The changes also reflect on your podcast's {abbr}`RSS (Really Simple Syndication)` feed.
